Difference between revisions of "Draft WireToBSpline/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
m
 
(22 intermediate revisions by 3 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 
{{Docnav/fr
 
{{Docnav/fr
|[[Draft_SubelementHighlight/fr|Sur intensité du du sous-élément]]
+
|[[Draft_SubelementHighlight/fr|Surbrillance du sous-élément]]
|[[Draft_AddPoint/fr|Ajouter un point Draft]]
+
|[[Draft_AddPoint/fr|Ajouter un point]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|IconL=Draft_SubelementHighlight.svg
 
|IconL=Draft_SubelementHighlight.svg
 +
|IconR=Draft_AddPoint.svg
 
|IconC=Workbench_Draft.svg
 
|IconC=Workbench_Draft.svg
|IconR=Draft_AddPoint.svg
 
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
 
 
{{GuiCommand/fr
 
{{GuiCommand/fr
 
|Name=Draft WireToBSpline
 
|Name=Draft WireToBSpline
|Name/fr=Filaire vers BSpline Draft
+
|Name/fr=Draft Filaire vers BSpline
 
|MenuLocation=Draft → Filaire vers BSpline
 
|MenuLocation=Draft → Filaire vers BSpline
|Workbenches=[[Draft Module/fr|Atelier Draft]], [[Arch Module/fr|Atelier Arch]]
+
|Workbenches=[[Draft_Module/fr|Draft]], [[Arch_Module/fr|Arch]]
|SeeAlso=[[Draft Wire/fr|Filaire Draft]], [[Draft BSpline/fr|BSpline Draft]]
+
|SeeAlso=[[Draft_Wire/fr|Draft Filaire]], [[Draft_BSpline/fr|Draft BSpline]]
 
}}
 
}}
</div>
 
  
 
==Description==
 
==Description==
  
<div class="mw-translate-fuzzy">
+
l'outil {{Button|[[Image:Draft WireToBSpline.svg|16px]] [[Draft_WireToBSpline/fr|Draft Filaire vers BSpline]]}} convertit les objets {{Button|[[Image:Draft_Wire.svg|16px]] [[Draft_Wire/fr|Draft Fils]]}} en {{Button|[[Image:Draft_BSpline.svg|16px]] [[Draft_BSpline/fr|Draft BSplines]]}} et inversement.
Cet outil convertit les objets [[Draft Wire/fr|Filaire Draft]] en [[Draft BSpline/fr|BSpline Draft]] et inversement.
 
</div>
 
  
 
[[Image:Draft Wire2BSpline example.jpg|400px]]
 
[[Image:Draft Wire2BSpline example.jpg|400px]]
{{Caption|Conversion d'un fil en B-Spline et un B-Spline fermé en un fil fermé}}
+
{{Caption|Convertit un fil en B-Spline et un B-Spline fermé en un fil fermé}}
  
 
==Utilisation==
 
==Utilisation==
  
<div class="mw-translate-fuzzy">
 
 
# Sélectionnez un [[Draft Wire/fr|Filaire Draft]] ou un [[Draft BSpline/fr|BSpline Draft]]. L'outil est désactivé si aucun objet n'est sélectionné.
 
# Sélectionnez un [[Draft Wire/fr|Filaire Draft]] ou un [[Draft BSpline/fr|BSpline Draft]]. L'outil est désactivé si aucun objet n'est sélectionné.
 
# Appuyez sur le bouton {{Button|[[Image:Draft WireToBSpline.svg|16px]] [[Draft WireToBSpline/fr|Filaire vers BSpline Draft]]}}.
 
# Appuyez sur le bouton {{Button|[[Image:Draft WireToBSpline.svg|16px]] [[Draft WireToBSpline/fr|Filaire vers BSpline Draft]]}}.
</div>
 
  
 
Un nouvel objet sera créé. L'objet d'origine ne sera pas modifié.
 
Un nouvel objet sera créé. L'objet d'origine ne sera pas modifié.
  
{{Emphasis|Remarque:}} si un fil fermé avec des arêtes vives est utilisé pour créer une spline, le nouvel objet peut avoir des segments de courbe se croisant automatiquement et peut ne pas être visible dans la vue 3D. Si c'est le cas, définissez manuellement {{PropertyData|Make Face}} à {{FALSE}} pour afficher la nouvelle forme ou sur {{PropertyData|Closed}} à {{FALSE}} pour créer une forme ouverte.
+
{{Emphasis|Remarque:}} si un fil fermé avec des arêtes vives est utilisé pour créer une spline, le nouvel objet peut avoir des segments de courbe se croisant automatiquement et peut ne pas être visible dans la [[3D view/fr|vue 3D]]. Si c'est le cas, définissez manuellement {{PropertyData|Make Face}} à {{FALSE}} pour afficher la nouvelle forme ou sur {{PropertyData|Closed}} à {{FALSE}} pour créer une forme ouverte.
  
 
==Options==
 
==Options==
Line 43: Line 37:
 
Il n'y a pas d'options pour cet outil. Cela fonctionne avec l'objet sélectionné ou non.
 
Il n'y a pas d'options pour cet outil. Cela fonctionne avec l'objet sélectionné ou non.
  
<div class="mw-translate-fuzzy">
 
 
==Script==
 
==Script==
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Script de  Base]].
 
{{Emphasis|Voir aussi:}} [[Draft API/fr|Draft API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Script de  Base]].
</div>
 
  
 
Il n'y a pas d'interface de programmation disponible pour l'outil WireToBSpline. Cependant, créer un nouvel objet à partir des points d'un autre est simple.
 
Il n'y a pas d'interface de programmation disponible pour l'outil WireToBSpline. Cependant, créer un nouvel objet à partir des points d'un autre est simple.
Line 53: Line 45:
  
 
Exemple:
 
Exemple:
 +
 
{{Code|code=
 
{{Code|code=
 
import FreeCAD, Draft
 
import FreeCAD, Draft
Line 74: Line 67:
 
}}
 
}}
  
<div class="mw-translate-fuzzy">
 
 
{{Docnav/fr
 
{{Docnav/fr
|[[Draft Edit Improved/fr|Edition améliorée Draft]]
+
|[[Draft_SubelementHighlight/fr|Surbrillance du sous-élément]]
 
|[[Draft_AddPoint/fr|Ajouter un point Draft]]
 
|[[Draft_AddPoint/fr|Ajouter un point Draft]]
 
|[[Draft_Module/fr|Atelier Draft]]
 
|[[Draft_Module/fr|Atelier Draft]]
|IconL=Draft Edit Improved.svg
+
|IconL=Draft_SubelementHighlight.svg
 +
|IconR=Draft_AddPoint.svg
 
|IconC=Workbench_Draft.svg
 
|IconC=Workbench_Draft.svg
|IconR=Draft_AddPoint.svg
 
 
}}
 
}}
</div>
 
 
{{Draft Tools navi/fr}}
 
  
{{Userdocnavi/fr}}
 
 
{{clear}}
 
{{clear}}
 +
{{Draft Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}

Latest revision as of 13:01, 5 December 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft SubelementHighlight.svg Surbrillance du sous-élément
Page suivante : Ajouter un point Draft AddPoint.svg Arrow-right.svg

Draft WireToBSpline.svg Draft Filaire vers BSpline

Emplacement du menu
Draft → Filaire vers BSpline
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Draft Filaire, Draft BSpline


Description

l'outil Draft WireToBSpline.svg Draft Filaire vers BSpline convertit les objets Draft Wire.svg Draft Fils en Draft BSpline.svg Draft BSplines et inversement.

Draft Wire2BSpline example.jpg

Convertit un fil en B-Spline et un B-Spline fermé en un fil fermé


Utilisation

  1. Sélectionnez un Filaire Draft ou un BSpline Draft. L'outil est désactivé si aucun objet n'est sélectionné.
  2. Appuyez sur le bouton Draft WireToBSpline.svg Filaire vers BSpline Draft.

Un nouvel objet sera créé. L'objet d'origine ne sera pas modifié.

Remarque: si un fil fermé avec des arêtes vives est utilisé pour créer une spline, le nouvel objet peut avoir des segments de courbe se croisant automatiquement et peut ne pas être visible dans la vue 3D. Si c'est le cas, définissez manuellement DataMake Face à false pour afficher la nouvelle forme ou sur DataClosed à false pour créer une forme ouverte.

Options

Il n'y a pas d'options pour cet outil. Cela fonctionne avec l'objet sélectionné ou non.

Script

Voir aussi: Draft API et FreeCAD Script de Base.

Il n'y a pas d'interface de programmation disponible pour l'outil WireToBSpline. Cependant, créer un nouvel objet à partir des points d'un autre est simple.

L'attribut Points d'un objet est une liste avec les points qui le composent. Cette liste peut être transmise aux fonctions qui construisent la géométrie. Chaque point est défini par son FreeCAD.Vector en millimètres.

Exemple:

import FreeCAD, Draft

# Make a spline from the points of a wire
p1 = FreeCAD.Vector(1000, 1000, 0)
p2 = FreeCAD.Vector(2000, 1000, 0)
p3 = FreeCAD.Vector(2500, -1000, 0)
p4 = FreeCAD.Vector(3500, -500, 0)

base_wire = Draft.makeWire([p1, p2, p3, p4])

points1 = base_wire.Points
spline = Draft.makeBSpline(points1)

# Make a wire from the points of a spline
base_spline = Draft.makeBSpline([-p1, -1.3*p2, -1.2*p3, -2.1*p4])

points2 = base_spline.Points
Wire = Draft.makeWire(points2)